#
# spec file for package ncftp (Version 3.2.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           ncftp
URL:            http://www.ncftp.com/
License:        Artistic License
Group:          Productivity/Networking/Ftp/Clients
Autoreqprov:    on
Version:        3.2.5
Release:        1.1
Summary:        A Comfortable FTP Program
Source:         %name-%version-src.tar.bz2
Patch:          %name-3.1.8-locale.diff
Patch2:         ncftp-3.1.8-implicit_decl.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This program has been in service on UNIX systems since 1991 and is a
popular alternative to the standard FTP program, /usr/bin/ftp. NcFTP
offers many ease-of-use and performance enhancements over the stock FTP
client and runs on a wide variety of UNIX platforms as well as
operating systems like Microsoft Windows and Apple Mac OS X.



Authors:
--------
    Mike Gleason <mgleason@cse.unl.edu>

%prep
%setup -q
%patch -p1
%patch2

%build 
./configure --mandir=%_mandir \
            --prefix=/usr
make CFLAGS="-D_LARGEFILE64_SOURCE $RPM_OPT_FLAGS" STRIP=true

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/html
/usr/bin/ncftp*
%_mandir/*/ncftp*.1.gz

%changelog
* Mon Jul 11 2011 cs@linux-administrator.com
- Update to 3.2.5
* Tue Sep 12 2006 tpatzig@suse.de
- Update to 3.2.0 including:
  o Makefile fixes (obsoletes ncftp-3.1.8-DESTDIR.diff)
  o Makefile fix (ncftp-3.2.0-mkdir_parents.diff)
  o ncftpls can now try to attempt to filter the files with a wildcard
    with the new -i option.
  o ncftpls can also now behave similar to /usr/bin/find, with the new -g
    option.  When invoked with -gg, it appends a slash to directory pathnames
    so you can distinguish files from directories.
  o Fixed a problem with ASCII translation where a CR+LF may not have
    been converted to the local text EOLN format if the CR+LF was split
    over an internal block boundary.
  o You can now edit remote files.
  o Progress meters now output to stderr.
  o You can now resume uploads when uploading into a temporary file
  o Fixes for Cygwin.
  o Some fixes for largefile support on Windows.
  o You can now resume transfers in ASCII mode, rather than just binary.
  o Fixed a problem with recursive uploads for Windows.
  o You can now use an empty password if your user account does not have
    a password.
  o Fixed a problem in the "ls" implementation for international
    month names.
  o Fixed a bug where Type of Service socket options were being set
    with IPPROTO_TCP instead of IPPROTO_IP.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 schwab@suse.de
- Don't strip binaries.
* Fri Sep 23 2005 ro@suse.de
- fix implicit declaration
* Thu Jul 21 2005 mmj@suse.de
- Update to 3.1.9 including:
  o Renamed internal libraru function getline() to gl_getline()
    to avoid namespace collision with glibc.
  o Recognize additional error response codes to SITE UTIME, to
    prevent using it if the server doesn't support it.
  o If the server does not support setting timestamps in MDTM,
    quit trying it if it fails the first time.
  o Do not allow control characters such as NUL, CR, LF in FTP
    URLs, to avoid command injection
  o Fixed a problem where a timed-out transfer may have been
    detected but still locked up the process
  o ncftpget and ncftpput now accept a "-C" parameter which is
    similar to the "-c" option (ftp "cat" mode), where stdin
    (stdout) is not used and the filename is specified as a
    parameter instead. This is useful if you don't want to
    specify a password on the command line.
  o ncftpput now allows the "-m" option in conjunction with the
    "-c" or "-C" options.
* Wed Aug 11 2004 mmj@suse.de
- Update to 3.1.8 including:
  o Ncftpget, ncftpput, and ncftpls now try to erase the
    arguments to the -u/-p/-j (user, password, account) options
    so they do not show in a "ps" command
  o Recognize broken IBM mainframe FTP servers and work around them.
  o Working around a problem with ProFTPD 1.2.9 and later which
    would cause recursive downloads to fail.
  o Fixed a bug where ncftpput in recursive mode could lock up if
    you used a trailing slash on the directory to upload.
  o For the malicious server problem that was addressed in 3.1.5,
    enhanced the fix for better compatibility with mainframe FTP
    servers.
  o Ncftpget, ncftpput, and ncftpls, and ncftp's open command now
    accept an additional advanced option (-o) which lets you do
    things like disable NcFTP's use of SITE UTIME, FEAT, HELP
    SITE, etc.
  o A couple of looping problems with ncftpbatch fixed.
  o Bug fixed with the upload socket buffer not being set
  o The utility programs now accept "-" for the config file name
    used with "-f" to denote standard input.
  o Bug fixed with ncftpput when using both -c and -A
* Wed Feb  4 2004 mmj@suse.de
- Update to 3.1.7 including:
  o Fixed a memory leak introduced in 3.1.6.
  o Fixed problem where it was assumed that daylight saving's
    time occurred at the same time each year for all timezones.
  o Bug fixed with running a shell escape.
  o Ncftpget now uses passive-with-fall-back-to-port mode like
    ncftpput and ncftpls.
  o Problem fixed with "ls -a" where occasionally a row with
    ".." and another file would be omitted.
  o Ncftpbatch now uses the UTC timezone for spool files.
  o The configure script can now detect when the config.cache
    file has been improperly recycled from a machine with a
    different OS.
  o The Windows version now uses the USERPROFILE environment
    variable, if it was set, as the location of the user's home
    directory.
  o Recognize broken DG/UX servers and work around them.
* Thu Oct 16 2003 mmj@suse.de
- Don't build as root
- Update to 3.1.6 including:
  o Fixed an important bug that was causing socket leaks on Windows.
  o Added support for GCC 3.4 precompiled headers.
  o Aborting transfers is now more robust.
  o Re-fixed a problem where high ASCII characters at the NcFTP
    prompt could cause it to exit.
  o Bug fixed where timeouts may not have worked.
  o To the improved ASCII handling from 3.1.5, added another case
    where we workaround files sent by a buggy FTP server
    implementation whose files have CR+CR+LF end-of-lines.
  o Bug fixed where an upload filename could have been limited to
    127 characters.
  o Firewall exception hosts are no longer case sensitive.
  o Bug fixed in ncftpput's "-c" option so it works with the "-f"
    option
  o Ncftpbatch will now try to temporarily skip a failing host in
    the current run
  o Bug fixed where a several minute delay would be incurred if
    you tried to transfer a file that did not exist.
  o For the malicious server problem that was addressed in 3.1.5,
    enhanced the fix for better compatibility with Serv-U and WS_FTP
    servers.
* Thu Nov 14 2002 mmj@suse.de
- Update to 3.1.5, mainly bugfix release
* Tue Sep 17 2002 ro@suse.de
- Removed bogus self-provides
* Wed May 15 2002 mmj@suse.de
- Update to 3.1.3, several impovements and bugfixes
* Thu Apr 18 2002 uli@suse.de
- fixed to build
* Wed Dec  5 2001 uli@suse.de
- update -> 3.0.4 (bugfixes)
* Tue May 22 2001 uli@suse.de
- update -> 3.0.3 (bug #7741)
* Tue Apr 17 2001 uli@suse.de
- 64 bit fix
* Thu Mar 29 2001 uli@suse.de
- fixed for gcc >2.95
* Thu Mar  8 2001 uli@suse.de
- added install section so man pages get zipped again
* Sun Nov 26 2000 egger@suse.de
- Reworked specfile.
- Added RPM Group Tag.
- Updated to 3.0.2.
- Use BuildRoot.
* Thu Sep 28 2000 ro@suse.de
- fixed spec
* Mon Aug 28 2000 daniele@suse.de
- Updated to 3.0.1
- fixed some spec-file entries
* Sat Mar  4 2000 uli@suse.de
- moved man page to /usr/share
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 15 1999 uli@suse.de
- update -> 2.4.3 (security fix)
* Thu Jan  2 1997 florian@suse.de
- update to version 2.4.2
* Thu Jan  2 1997 florian@suse.de
- Update auf neue Version 2.4.1.
